Morph-M - Assistance #27

From Bea Deux fonctions qui font la meme chose pour passer des graphes aux images?

12/01/2008 11:03 AM - Serge Koudoro

Status: Fermé Start date:

Priority: Normal Due date:

Assignee: % Done: 100%
Category: old plone Bugs Estimated time: 0.00 hour
Target version:

Description
From Bea Deux fonctions qui font la meme chose pour passer des graphes aux images?

Description:

ProjectGraphOnSegmentation et DisplaySegFromForest ont I'air de faire
la meme chose, I'une avec un graphe l'autre avec une foret, mais etant
donne que l'info est dans les noeuds je pense qu'une seule version
suffirait.

#1 30/10/2007 17:55 (Thomas)

Change: status: "pending" -> "accepted"”

Change: assignees: "[]" -> "['ali', 'faessel’, 'morphmdev']"

Change: topic: " -> "UI"

Change: solution: "" -> "Si c'est vraiement un bug, il suffirait d'eliminer une des deux

fonctions et lui trouver un joli nom qui regrouppe les deux."

Change: title: "™ -> "From Bea Deux fonctions qui font la meme chose pour passer des graphes aux images?"
Change: classification: "Bug" -> "Documentation”

Change: description: " -> "ProjectGraphOnSegmentation et DisplaySegFromForest ont I'air de faire
la meme chose, I'une avec un graphe l'autre avec une foret, mais etant

donne que l'info est dans les noeuds je pense qu'une seule version

suffirait."

History

#1 - 12/01/2008 11:04 AM - Serge Koudoro

Romain a écrit , Le 30/10/2007 17:55:
ProjectGraphOnSegmentation et DisplaySegFromForest ont I'air de faire
la meme chose, I'une avec un graphe l'autre avec une foret, mais etant

donne que l'info est dans les noeuds je pense qu'une seule version
suffirait.

Hmmm... Non.

DisplaySegFromForest ajoute la notion de composantes connexes et donne a
la totalité de chaque CC du graphe le plus petit label des noeuds
formant la CC. Ensuite la CC est projetée sur l'image.

ProjectGraphOnSegmentation se contente de projeter les valeurs des
noeuds sur I'image. Les valeurs des noeuds au cours d'une segmentation
hiérarchique par watershed ne sont pas modifiées (du moins pas lorsque
je l'ai implémentée dans Morphée)

#2 - 12/01/2008 01:44 PM - Beatriz Marcotegui

Romain Lerallut wrote:

morphm-dev@listes.ensmp.fr a écrit , Le 30/10/2007 17:55:

ProjectGraphOnSegmentation et DisplaySegFromForest ont I'air de faire
la meme chose, I'une avec un graphe l'autre avec une foret, mais etant
donne que l'info est dans les noeuds je pense qu'une seule version
suffirait.

Hmmm... Non.

DisplaySegFromForest ajoute la notion de composantes connexes et donne
a la totalité de chaque CC du graphe le plus petit label des noeuds
formant la CC. Ensuite la CC est projetée sur l'image.

ProjectGraphOnSegmentation se contente de projeter les valeurs des
noeuds sur l'image. Les valeurs des noeuds au cours d'une segmentation
hiérarchique par watershed ne sont pas modifiées (du moins pas lorsque
je I'ai implémentée dans Morphée)

Alors ImDisplayHierarchylLevel desactive des aretes (creant la foret)
sans labeliser (au niveau du graphe) les composantes connexes creees?
DisplaySegFromForest est appelee de maniere interne par
ImDisplayHierarchyLevel?

OK. Xlim3d labelise les noeuds apres avoir enleve des aretes et cela m'a
amene a confusion.

Merci,

Bea

#3 - 12/01/2008 01:45 PM - Serge Koudoro
- Category set to old plone Bugs
- % Done changed from 0 to 100

#4 - 12/01/2008 01:49 PM - Serge Koudoro

Le rale d'outre-tombe ne nous était pas parvenu entierement, voici la
fin du messsage de Romain:

La seconde fonction sert lorsqu'on fait des inondations sur le graphe et
que donc on propage les labels (je crois que c'est (c'était ?) un TD).

Mais vous aurez des surprises si vous l'utilisez directement avec le
résultat d'un watershed 'hiérarchique’ !

Si quelqu'un veut s'entrainer et faire "comme un vrai contributeur
Morph-M" je vous propose deux activités ludiques:

- ajouter les commentaires de Romain + la réponse de bea comme follow-up
du bug initial

- requalifier le bug comme étant un bug de documentation

- transposer les commentaires en question sous forme de documentation
doxygen et python

- marquer le bug comme résolu

Evidemment tout le monde sait bien que si personne le fait, je m'en
chargerai dés que la navette reprendra, mais en méme temps pour une
fois qu'on connait tout jusqu'a la solution, c'est le moment d'en

profiter pour s'essayer au développement collaboratif !

Thibauld

Thibauld Nion | Product Control and Instrumentation
ArcelorMittal Maizieres

Research and Development

&

Mines Paris

Centre de Morphologie Mathématique | 35, rue Saint Honoré
77305 Fontainebleau CEDEX

T +33 (0)1 64 69 47 67 | F +33 (0)1 64 69 47 07 | cmm.ensmp.fr

#5 - 12/01/2008 01:50 PM - Serge Koudoro

- Tracker changed from Anomalie to Assistance
#6 - 12/01/2008 01:52 PM - Serge Koudoro
Thibauld Nion a écrit :

Le rale d'outre-tombe
I'm not quite dead yet !
http://www.youtube.com/watch?v=dGFXGwHsD_ A
)

A+
Romain.

#7 - 12/01/2008 03:39 PM - Serge Koudoro

- Status changed from Nouveau to Fermé
